@use "sass:map";
@use "@angular/material" as mat;

@mixin color($theme) {
  $color-config: mat.m2-get-color-config($theme);
  $warn-palette: map.get($color-config, "warn");

  .placeholder {
    color: mat.m2-get-color-from-palette($warn-palette, default-contrast);
    border-color: mat.m2-get-color-from-palette($warn-palette, 200);
  }

  .icon-color {
    color: mat.m2-get-color-from-palette($warn-palette, 500);
  }
}

@mixin theme($theme) {
  $color-config: mat.m2-get-color-config($theme);
  @if $color-config != null {
    @include color($theme);
  }
}
